#ifndef _FS_PDFNUMBERTREE_C_H_
#define _FS_PDFNUMBERTREE_C_H_

#ifdef __cplusplus
extern "C" {
#endif



typedef enum _FSPDFNumberTreeType {
e_FSPageLabels = 1,
}FSPDFNumberTreeType;


FSErrorCode FSDK_PDFNumberTree_Create(const FS_PDFDOC_HANDLE document, FSPDFNumberTreeType type, FS_PDFNUMBERTREE_HANDLE* pdfnumbertree_return_value);
FSErrorCode FSDK_PDFNumberTree_Create0(FS_PDFNUMBERTREE_HANDLE* pdfnumbertree_return_value);
FSErrorCode FSDK_PDFNumberTree_Release(FS_PDFNUMBERTREE_HANDLE pdfnumbertree_handle);
FSErrorCode FSDK_PDFNumberTree_IsEmpty(FS_PDFNUMBERTREE_HANDLE pdfnumbertree_handle, FS_BOOL* return_value);
FSErrorCode FSDK_PDFNumberTree_GetType(FS_PDFNUMBERTREE_HANDLE pdfnumbertree_handle, FSPDFNumberTreeType* return_value);
FSErrorCode FSDK_PDFNumberTree_HasNumber(FS_PDFNUMBERTREE_HANDLE pdfnumbertree_handle, int number, FS_BOOL* return_value);
FSErrorCode FSDK_PDFNumberTree_GetObj(FS_PDFNUMBERTREE_HANDLE pdfnumbertree_handle, int number, FS_PDFOBJECT_HANDLE* return_value);
FSErrorCode FSDK_PDFNumberTree_SetObj(FS_PDFNUMBERTREE_HANDLE pdfnumbertree_handle, int number, FS_PDFOBJECT_HANDLE pdf_object, FS_BOOL* return_value);
FSErrorCode FSDK_PDFNumberTree_RemoveObj(FS_PDFNUMBERTREE_HANDLE pdfnumbertree_handle, int number, FS_BOOL* return_value);
FSErrorCode FSDK_PDFNumberTree_RemoveAllObjs(FS_PDFNUMBERTREE_HANDLE pdfnumbertree_handle, FS_BOOL* return_value);
#ifdef __cplusplus
}
#endif
#endif
